summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-news
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2023-02-26 21:56:36 +0000
committerKarl Berry <karl@freefriends.org>2023-02-26 21:56:36 +0000
commita836aa89aaff61055928dbf4ba0ea3ef8f15bc51 (patch)
treec596163059357f93ad260db853fd3955219d87f1 /Master/tlpkg/bin/tl-update-news
parent5f54db29da979f05965d02659e3f6530b5c8c228 (diff)
general doc update for engines/etc.
git-svn-id: svn://tug.org/texlive/trunk@66203 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-news')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-news47
1 files changed, 47 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/tl-update-news b/Master/tlpkg/bin/tl-update-news
new file mode 100755
index 00000000000..4e58368125f
--- /dev/null
+++ b/Master/tlpkg/bin/tl-update-news
@@ -0,0 +1,47 @@
+#!/bin/sh -e
+# $Id$
+# Public domain. Originally written 2022, Karl Berry.
+#
+# NEWS and ChangeLog files are maintained with the sources; we want to
+# copy almost all the NEWS, and ChangeLog if NEWS is not available, to
+# the runtime. We install a few README files too.
+#
+# This is run, by hand, during the release process, along with updating
+# the man pages, Texinfo manuals, and more. See tlpkg/doc/releng.txt.
+#
+# pdftex, luatex, mpost, cweb and related, ptex and related;
+# all these are updated separately, not in this script.
+# For pdftex and mpost, see the doc/manual subdirectories
+# in their respective repositories.
+#
+# (By the way, we don't ordinarily use sh -e, but since all we're doing
+# here is a bunch of copies, it seemed the simplest.)
+
+mydir=`cd \`dirname $0\` && pwd` # Master/tlpkg/bin
+tlroot=`cd $mydir/../../../ && pwd`
+Build=$tlroot/Build
+Master=$tlroot/Master
+#
+xist_doc=$Master/texmf-dist/doc
+#
+cp="cp -pf"
+
+cd $Build/source/texk/ || exit 1
+#
+$cp dvipsk/NEWS $xist_doc/dvips/
+$cp dvipsk/README $xist_doc/dvips/
+#
+$cp dvipdfm-x/README $xist_doc/dvipdfmx/
+#
+$cp kpathsea/NEWS $xist_doc/kpathsea/
+
+cd $Build/source/texk/web2c || exit 1
+$cp NEWS $xist_doc/web2c/
+#
+$cp alephdir/ChangeLog $xist_doc/aleph/base/
+$cp etexdir/ChangeLog $xist_doc/etex/base/
+$cp luatexdir/NEWS $xist_doc/luatex/base/
+$cp xetexdir/NEWS $xist_doc/xetex/base/
+#
+# do this last just because it's different.
+make -C hitexdir/doc install